**Table:** Bayes factors and Log10 bayes factors for various mass models

##### Data

The data used to generate these statistics is an output from the population analyses from [`GWPopulation`](https://github.com/ColmTalbot/gwpopulation). The bayes factors and log bayes factor are retrieved from the population samples. An additional correction step is required to account for a difference in prior volume. To obtain these correction factors an additional script [prior_loss.py](https://git.ligo.org/shanika.galaudage/o3a-population/-/blob/master/scripts/prior_loss.py) is used as follows:

```bash
 python prior_loss.py [INI FILE] --prior [PRIOR FILE] --label o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift  --models SmoothedMassDistribution --models iid_spin_magnitude --models iid_spin_orientation --models gwpopulation.models.redshift.PowerLawRedshift --vt-models SmoothedMassDistribution --vt-models gwpopulation.models.redshift.PowerLawRedshift
```
where the `INI FILE` can be found [here](https://git.ligo.org/shanika.galaudage/o3a-population/-/tree/master/ini_files), and the corresponding `PRIOR FILE` can be found [here](https://git.ligo.org/shanika.galaudage/o3a-population/-/tree/master/prior_files).

An example of output of the prior.loss.py script is as shown below:

```bash
3780, 655, 10000
```
where the numbers are: the number of samples that were cut due to having zero-likelihood, the number of samples that were cut due to being below the selection cut, and the total number of samples.


The correction factor is such that:
```bash
correction_factor = (total samples - zero likelihood samples) / total samples
new_bf = old_bf*correction_factor
```


##### Statistics generation

The script used to generate the statistics provided in this table is provided:

```bash
python get_bayes_factors.py
```

This produces the following file [bayes_factor_stats.txt](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Tab-2-bayes-factors/bayes_factor_stats.txt).
